[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Assertion failed while upgrading working copy from svn version 1.6 to version 1.8

From: NORAV \(Mark M.\) <mark_at_norav.com>
Date: Tue, 27 Aug 2013 13:10:35 +0300

I got the following error message from TortoiseSVN while upgrading my
working copy from SVN version 1.6 to version 1.8:

 

---------------------------

Subversion Exception!

---------------------------

Subversion encountered a serious problem.

Please take the time to report this on the Subversion mailing list

with as much information as possible about what

you were trying to do.

But please first search the mailing list archives for the error message

to avoid reporting the same problem repeatedly.

You can find the mailing list archives at

http://subversion.apache.org/mailing-lists.html

 

Subversion reported the following

(you can copy the content of this dialog

to the clipboard using Ctrl-C):

 

In file

'D:\Development\SVN\Releases\TortoiseSVN-1.8.1\ext\subversion\subversion\lib
svn_wc\entries.c'

line 1456: assertion failed (node->op_depth > 0 || node->repos_relpath)

---------------------------

OK

---------------------------

 

This happened on Windows Vista SP1 (32bit). I was using TortoiseSVN version
1.6 before hand (I think it was 1.6.16, but might be 1.6.15 or 1.6.12).

I installed the TortoiseSVN version 1.8.1, restarted and selected "SVN
Upgrade working copy". On two working copies from one project it worked
fine,

but on two working copies from another project I got the above message.

 

Mark Matusevich

Algorithm developer

Norav Medical

E-mail: mark_at_norav.com

www.norav.com <http://www.norav.com/>

 
Received on 2013-08-27 12:43:35 CEST

This is an archived mail posted to the Subversion Dev mailing list.